# Class FetchAdapterResponse

## FetchAdapterResponse http响应体

#### Hierarchy

- Response
  - FetchAdapterResponse

- Defined in src/fetchAdapter.ts:68

#####
Index

### Constructors

constructor

### Properties

body
bodyUsed
headers
ok
redirected
status
statusText
type
url

### Methods

arrayBuffer
blob
clone
formData
getTransformHeaders
json
text
error
redirect

## Constructors

### constructor

- new FetchAdapterResponse(body?: null | BodyInit, init?: ResponseInit): FetchAdapterResponse

- #### Parameters

  - ##### `Optional` body: null | BodyInit

  - ##### `Optional` init: ResponseInit

  #### Returns FetchAdapterResponse

  Overrides Response.constructor

  - Defined in src/fetchAdapter.ts:69

## Properties

### `Readonly` body

body: null | ReadableStream<Uint8Array>

Inherited from Response.body

- Defined in node_modules/typescript/lib/lib.dom.d.ts:2501

### `Readonly` bodyUsed

bodyUsed: boolean

Inherited from Response.bodyUsed

- Defined in node_modules/typescript/lib/lib.dom.d.ts:2502

### `Readonly` headers

headers: Headers

Inherited from Response.headers

- Defined in node_modules/typescript/lib/lib.dom.d.ts:11617

### `Readonly` ok

ok: boolean

Inherited from Response.ok

- Defined in node_modules/typescript/lib/lib.dom.d.ts:11618

### `Readonly` redirected

redirected: boolean

Inherited from Response.redirected

- Defined in node_modules/typescript/lib/lib.dom.d.ts:11619

### `Readonly` status

status: number

Inherited from Response.status

- Defined in node_modules/typescript/lib/lib.dom.d.ts:11620

### `Readonly` statusText

statusText: string

Inherited from Response.statusText

- Defined in node_modules/typescript/lib/lib.dom.d.ts:11621

### `Readonly` type

type: ResponseType

Inherited from Response.type

- Defined in node_modules/typescript/lib/lib.dom.d.ts:11622

### `Readonly` url

url: string

Inherited from Response.url

- Defined in node_modules/typescript/lib/lib.dom.d.ts:11623

## Methods

### arrayBuffer

- arrayBuffer(): Promise<ArrayBuffer>

- #### Returns Promise<ArrayBuffer>

  Inherited from Response.arrayBuffer

  - Defined in node_modules/typescript/lib/lib.dom.d.ts:2503

### blob

- blob(): Promise<Blob>

- #### Returns Promise<Blob>

  Inherited from Response.blob

  - Defined in node_modules/typescript/lib/lib.dom.d.ts:2504

### clone

- clone(): Response

- #### Returns Response

  Inherited from Response.clone

  - Defined in node_modules/typescript/lib/lib.dom.d.ts:11624

### formData

- formData(): Promise<FormData>

- #### Returns Promise<FormData>

  Inherited from Response.formData

  - Defined in node_modules/typescript/lib/lib.dom.d.ts:2505

### getTransformHeaders

- getTransformHeaders(): Promise<Object>

- 将headers转换成json形式 *

  #### Returns Promise<Object>

  - Defined in src/fetchAdapter.ts:74

### json

- json(): Promise<any>

- #### Returns Promise<any>

  Inherited from Response.json

  - Defined in node_modules/typescript/lib/lib.dom.d.ts:2506

### text

- text(): Promise<string>

- #### Returns Promise<string>

  Inherited from Response.text

  - Defined in node_modules/typescript/lib/lib.dom.d.ts:2507

### `Static` error

- error(): Response

- #### Returns Response

  Inherited from Response.error

  - Defined in node_modules/typescript/lib/lib.dom.d.ts:11630

### `Static` redirect

- redirect(url: string | URL, status?: number): Response

- #### Parameters

  - ##### url: string | URL

  - ##### `Optional` status: number

  #### Returns Response

  Inherited from Response.redirect

  - Defined in node_modules/typescript/lib/lib.dom.d.ts:11631

Generated using TypeDoc